apiVersion: apps/v1
kind: Deployment
metadata:
  name: high-priority-no-affinity
  labels:
    app: kubecon-demo
    component: high-priority
spec:
  replicas: 1
  selector:
    matchLabels:
      app: kubecon-demo
      component: high-priority
  template:
    metadata:
      labels:
        app: kubecon-demo
        component: high-priority
    spec:
      priorityClassName: kubecon-demo
      containers:
      - name: demo-priority
        image: registry.k8s.io/pause:3.7
        resources:
          requests:
            memory: 1G
